Authentication

API key creation and usage

API Key

API Keys in playground

The API playground stores your API keys in your browser's local storage for convenience.

Important: Use the playground only for testing. Do not use production keys, and remember to expire any test keys after use to keep your account secure.

Creating new key

You can generate API keys in Excalidraw Plus under the workspace settings.

Full key will be visible only once, so make sure to copy it and store it.

Each key can have different permissions based on the operation (read, full) or access to specific routes. Keys also have specific expiration, after which it will no longer be valid.

Excalidraw+ supports personal/user API keys and workspace API keys. Personal keys act as a specific workspace member and can access that member's virtual private collection using the collection ID private. Workspace keys act as the workspace and cannot list or access any member's private collection.

The private collection is built in. It cannot be created, renamed, or deleted, and POST /collections always creates a regular shared collection. See Personal vs Workspace MCP/API Keys for the full behavior comparison.

Each key is associated with a workspace for which it is created and does not have access to data from other workspaces.

Using the key

The API uses an API key sent in the Authorization header as Bearer <API_KEY> in all requests.

const body = JSON.stringify({
  name: "New scene",
});

fetch("https://api.excalidraw.com/api/v1/scenes", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    Authorization: "Bearer sk-...7qd", // <-- Your API key
  },
  body,
});

Last updated on

On this page